Bug 1952565 - Add %py_provides for optional stdlib modules
Summary: Add %py_provides for optional stdlib modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3.9
Version: 34
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Python Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-22 14:46 UTC by Petr Viktorin
Modified: 2021-07-21 01:15 UTC (History)
6 users (show)

Fixed In Version: python3.9-3.9.6-2.fc34 python3.9-3.9.6-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-19 01:13:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2021-04-22 14:46:54 UTC
According to guidelines [0], we should technically add %py_provides for all of the stdlib modules.

[0] https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_provides

For stuff in -libs, that seems excessive: hopefully people will know to install Python first!
But it would make sense for the optional packages, -idle and -tkinter.

I've occasionally seen Linux users (who know `Fedora` uses `dnf`, but not many more details) helping Python beginners that use Fedora try to install `python3-turtle`. (Granted, that was probably before our rich Recommends.)

Comment 1 Miro Hrončok 2021-04-22 15:21:33 UTC
$ rpm -ql python3-devel | grep /usr/lib64/python3.9
/usr/lib64/python3.9/config-3.9-x86_64-linux-gnu/...
/usr/lib64/python3.9/config-3.9-x86_64-linux-gnu/python-config.py

I would *not* provide this weirdness.



$ rpm -ql python3-tkinter | grep /usr/lib64/python3.9
...
/usr/lib64/python3.9/tkinter
...
/usr/lib64/python3.9/turtle.py
/usr/lib64/python3.9/turtledemo
...

I would only provide pytohn3-turtle, not pytohn3-turtledemo.



python3-test only has subpackages + test (which is already in the name).



$ rpm -ql python3-idle | grep /usr/lib64/python3.9
/usr/lib64/python3.9/idlelib
/usr/lib64/python3.9/idlelib/CREDITS.txt
/usr/lib64/python3.9/idlelib/ChangeLog
/usr/lib64/python3.9/idlelib/HISTORY.txt
/usr/lib64/python3.9/idlelib/Icons
...
/usr/lib64/python3.9/idlelib/NEWS.txt
/usr/lib64/python3.9/idlelib/NEWS2x.txt
/usr/lib64/python3.9/idlelib/README.txt
/usr/lib64/python3.9/idlelib/TODO.txt
/usr/lib64/python3.9/idlelib/__init__.py
...

Not sure if idlelib is a module to import. Should we provide it?

Side note: The text files in there should be marked with %doc/%license.

Comment 3 Fedora Update System 2021-07-16 14:51:52 UTC
FEDORA-2021-d613e00b72 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d613e00b72

Comment 4 Fedora Update System 2021-07-16 14:52:33 UTC
FEDORA-2021-5194033b8b has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5194033b8b

Comment 5 Fedora Update System 2021-07-17 01:07:33 UTC
FEDORA-2021-d613e00b72 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d613e00b72`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d613e00b72

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-07-17 01:12:06 UTC
FEDORA-2021-5194033b8b has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5194033b8b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5194033b8b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-07-19 01:13:14 UTC
FEDORA-2021-d613e00b72 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-07-21 01:15:09 UTC
FEDORA-2021-5194033b8b has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.